package es.verdnatura.domain

import android.content.Context
import es.verdnatura.presentation.view.feature.sacador.model.CollectionVO
import retrofit2.Call

class GetPreControladorUserCase(context: Context) : RestClient(context) {

    fun collectionTicketGet(
        usuario: String,
        password: String,
        collectionFk: String,
        sectorFk: String,
        print: String,
        type: String
    ): Call<CollectionVO> {
        val params: ArrayList<String> = ArrayList()
        params.add(collectionFk)
        params.add(sectorFk)
        params.add(print)
        params.add(type)
        return restClient!!.collection_getTickets(
            "json",
            "1",
            usuario,
            password,
            "application/json",
            params
        )
    }

    fun ticket_get(
        usuario: String,
        password: String,
        vParamFk: String
    ): Call<String> {
        val params: ArrayList<String> = ArrayList()
        params.add(vParamFk)
        return restClient!!.ticket_get(
            "json",
            "1",
            usuario,
            password,
            "application/json",
            params
        )
    }

}